// Copyright Andrew Choi 1993, 2003.  Perl Artistic License

#ifndef __DEFSL_H
#define __DEFSL_H

#define bool char
#define true 1
#define false 0

#define OneOverRoot3 0.5773502691
#define VHRatio (18.0 / (24.0 * OneOverRoot3 + 2.0))

#define FRAME_HEIGHT [self frame].size.height
#define FRAME_WIDTH [self frame].size.width

#define VERTICAL_SKIP (FRAME_HEIGHT / 18.0)
#define MARBLE_RADIUS (VERTICAL_SKIP * 0.4)
#define HOLE_RADIUS (VERTICAL_SKIP * 0.4)

#define RING_THICKNESS (MARBLE_RADIUS/2)
#define LOLLIPOP_RADIUS (MARBLE_RADIUS/2)
#define BULLS_EYE_RADIUS (MARBLE_RADIUS/2)

#define NUM_BLINKS 3
#define BLINK_TIME 500000  /* microseconds */

#endif __DEFSL_H
